FreePBX 15 - no new module updates available since a month

Hello,

Since a month, i don’t get any email about new modules available on my Freepbx 15 box.

DNS config is still ok → can ping google.com from CLI
fwconsole ma showupgrades → up to date
fwconsole setting MODULE_REPO → Setting of “MODULE_REPO” is (text)[https://mirror.freepbx.org]

I also ran :
fwconsole ma refreshsignatures
fwconsole sa u

How can i check if module version on my system are last available ?
Can i manually browse the repository ?

For example current running version are :

backup module is 15.0.13
core is 15.0.22.1
framework is 15.0.23

Thank you very much.
Julien.

If you run fwconsole ma listonline it will show all of the latest versions of modules from the mirrors.

Thank you Richard for your answer.

Output looks good (here is the beginning):

±---------------------±-----------±--------------------------------------------±------------+
| Module | Version | Status | License |
±---------------------±-----------±--------------------------------------------±------------+
| accountcodepreserve | 13.0.2.2 | Enabled and up to date | GPLv2 |
| adv_recovery | 15.0.49 | Enabled and up to date | Commercial |
| amd | 15.0.3 | Enabled and up to date | GPLv3+ |
| announcement | 15.0.3.13 | Enabled and up to date | GPLv3+ |
| api | 15.0.5 | Enabled and up to date | AGPLv3+ |
| areminder | 15.0.14.26 | Enabled and up to date | Commercial |
| arimanager | 15.0.3.13 | Enabled and up to date | GPLv3+ |
| asterisk-cli | 14.0.4 | Enabled and up to date | GPLv3+ |
| asteriskinfo | 15.0.14 | Enabled and up to date | GPLv3+ |
| backup | 15.0.13 | Enabled and up to date | GPLv3+ |
| blacklist | 15.0.2.17 | Enabled and up to date | GPLv3+ |
| broadcast | 15.0.18 | Enabled and up to date | Commercial |
| builtin | | Enabled; Not available online | |
| bulkhandler | 15.0.3 | Enabled and up to date | GPLv3+ |
| calendar | 15.0.4.22 | Enabled and up to date | GPLv3+ |
| callaccounting | 15.0.24 | Enabled and up to date | Commercial+ |
| callback | 15.0.12 | Enabled and up to date | GPLv3+ |
| callerid | 15.0.16 | Enabled and up to date | Commercial |
| callforward | 15.0.16 | Enabled and up to date | AGPLv3+ |
| calllimit | 15.0.5.6 | Enabled and up to date | Commercial |
| callrecording | 15.0.7.25 | Enabled and up to date | AGPLv3+ |
| callwaiting | 15.0.4.6 | Enabled and up to date | GPLv3+ |
| cdr | 15.0.17.22 | Enabled and up to date | GPLv3+ |
| cel | 15.0.15.16 | Enabled and up to date | GPLv3+ |
| certman | 15.0.49 | Enabled and up to date | AGPLv3+ |
| cidlookup | 15.0.24 | Enabled and up to date | GPLv3+ |
| conferences | 15.0.7.11 | Enabled and up to date | GPLv3+ |
| conferencespro | 15.0.3.18 | Enabled and up to date | Commercial |
| configedit | 13.0.7.3 | Enabled and up to date | AGPLv3+ |
| contactmanager | 15.0.9.6 | Enabled and up to date | GPLv3+ |
| core | 15.0.22.1 | Enabled and up to date | GPLv3+ |
| cos | 15.0.15 | Enabled and up to date | Commercial |
| customappsreg | 15.0.14 | Enabled and up to date | GPLv3+ |

So that means, no update occurred on any of those modules since a month ?
I usually get some updates every week …

Don’t you have same feeling than i that it’s a bit unusual ?

Thank you.
Regards.

You can try edge command to see if EDGE release has updated modules then yours.

fwconsole ma listonline --edge

Thank you.
Just tried it and get follwing output …

±---------------------±-----------±--------------------------------------------±------------+
| Module | Version | Status | License |
±---------------------±-----------±--------------------------------------------±------------+
| adv_recovery | 15.0.49 | Online upgrade available (15.0.51) | Commercial |
| api | 15.0.5 | Online upgrade available (15.0.8) | AGPLv3+ |
| backup | 15.0.13 | Online upgrade available (15.0.15) | GPLv3+ |
| blacklist | 15.0.2.17 | Online upgrade available (15.0.2.20) | GPLv3+ |
| callaccounting | 15.0.24 | Online upgrade available (15.0.25) | Commercial+ |
| core | 15.0.22.1 | Online upgrade available (15.0.22.7) | GPLv3+ |
| digium_phones | 15.0.11 | Online upgrade available (15.0.12) | GPLv2 |
| digiumaddoninstaller | 13.0.1.3 | Online upgrade available (13.0.1.4) | GPLv2 |
| endpoint | 15.0.48.1 | Online upgrade available (15.0.48.2) | Commercial |
| featurecodeadmin | 13.0.6.11 | Online upgrade available (15.0.2) | GPLv3+ |
| filestore | 15.0.3.28 | Online upgrade available (15.0.3.29) | AGPLv3 |
| firewall | 15.0.32 | Online upgrade available (15.0.38) | AGPLv3+ |
| framework | 15.0.23 | Online upgrade available (15.0.23.11) | GPLv2+ |
| iotserver | 15.0.4.1 | Online upgrade available (15.0.5.2) | Commercial |
| recording_report | 15.0.7 | Online upgrade available (15.0.8) | Commercial |
| restapps | 15.0.24.2 | Online upgrade available (15.0.28.1) | Commercial |
| sangomaconnect | 15.0.37.6 | Online upgrade available (15.0.43.2) | Commercial |
| sangomacrm | 15.0.23.7 | Online upgrade available (15.0.23.8) | Commercial |
| sipstation | 15.0.5.26 | Online upgrade available (15.0.5.28) | Commercial |
| sms | 15.0.27 | Online upgrade available (15.0.28) | Commercial |
| superfecta | 15.0.2.35 | Online upgrade available (15.0.2.36) | GPLv2+ |
| sysadmin | 15.0.28 | Online upgrade available (15.0.29.2) | Commercial |
| userman | 15.0.69.1 | Online upgrade available (15.0.69.2) | AGPLv3+ |
| versionupgrade | | Not Installed (Available online: 15.0.32) | Commercial |
| vqplus | 15.0.7.26 | Online upgrade available (15.0.7.30) | Commercial |

±---------------------±-----------±--------------------------------------------±------------+
Resetting temporarily repository state

If someone is running Freepbx 15, can you please confirm you’ve got same version of modules running ?

Thank you very much !

Ran updates on a lab server today

https://pastebin.freepbx.org/view/0a646db7

There were modules promoted to stable overnight last night, so it will be different today than yesterday.

Thank you.

So if i get the same result “Enabled and up to date” for all modules since a month while running “fwconsole ma listonline” … that means something is not working as expected.

Any idea which log file i may investigate in ?

Above you have a list of current stable versions on v15. If you don’t have those versions on your server, yes, something might not be right. Have you checked that?

Yes i did compared, but in the link provided on top we can see :

  1. No repos specified, using: [standard,extended,commercial,unsupported] from last GUI settings

On my side, i’m using “standard” repo only, so should i really get same result on my machine ?

But answer to the question is No, i don’t get same result.
Example with module “core”.

On my pbx : | core | 15.0.22.1 | Enabled and up to date | GPLv3+
On the example provided by [PitzKey] : | core | 15.0.22.7 | Enabled | GPLv3+

Thank you.

In the GUI, select those repos under module admin and you’ll see the same in CLI… See:

That may be an edge version, I have done some testing with beta backup/restore args which I need to update a different community topic. :slight_smile:

you can try

fwconsole setting MODULEADMIN_SKIP_CACHE 1

then check online

1 Like

Thank you,

First … I tried same as this morning, and now, so modules are showing updates available, which is good news (3x modules).

Then, I ran the command you suggested and get same amount of modules to be upgraded.
Can you please confirm that I can set the setting back using this command ? :

fwconsole setting MODULEADMIN_SKIP_CACHE 0

So I would say all looks to be working fine, but amount of modules updated during the last month have been drastically reduced (which is not a problem).

Thank you all for your help and support !

==============================================

fwconsole ma showupgrades
No repos specified, using: [standard] from last GUI settings

Upgradable:
±-----------±--------------±---------------+
| Module | Local Version | Online Version |
±-----------±--------------±---------------+
| blacklist | 15.0.2.17 | 15.0.2.20 |
| superfecta | 15.0.2.35 | 15.0.2.36 |
| vqplus | 15.0.7.26 | 15.0.7.30 |
±-----------±--------------±---------------+